#include "../hello_child.h"
#include <sys/time.h>

static mark_time( void ) {
   struct timeval t;
   gettimeofday( &t, NULL );
   printf( "%02d:%06d : ", t.tv_sec % 100, t.tv_usec );
}

static mark_func( const char *f ) {
   mark_time(); 
   printf( "%s\n", f );
}

void _init( void ) {
   mark_func( __FUNCTION__ );
}

void _fini( void ) { 
   mark_func( __FUNCTION__ );
}

int put_my_msg( char *messg ) {
   mark_time(); 
   printf( "%s\n", messg );
   return -1;
}

