#include <stdlib.h>
#include <stdio.h>
#include <unistd.h>
#include <sys/wait.h>

int main( int argc, char *argv[] ) {
   unsigned long n = 1;
   pid_t pid;
   while( ( pid = fork() ) >= 0 ) {
      if( pid < 0 ) break;
      n++;
      if( pid > 0 ) {
         waitpid( pid, NULL, 0 );
         exit( EXIT_SUCCESS );
      };
   };
   printf( "exit with processes number: %lu\n", n );
   if( pid < 0 ) perror( NULL );
   return 0;
};

