#include "../hello_child.h"
#include <sys/time.h>

static mark_time( void ) {
   struct timeval t;
   gettimeofday( &t, NULL );
   printf( "%02d:%06d : ", t.tv_sec % 100, t.tv_usec );
}

static mark_func( const char *f ) {
   mark_time(); 
   printf( "%s\n", f );
}

__attribute__ ((constructor))
   void my_init_1( void ) {
   mark_func( __FUNCTION__ );
}

__attribute__ ((constructor))
   void my_init_2( void ) {
   mark_func( __FUNCTION__ );
}

__attribute__ ((destructor)) 
   void my_fini_1( void ) { 
   mark_func( __FUNCTION__ );
}

__attribute__ ((destructor)) 
   void my_fini_2( void ) { 
   mark_func( __FUNCTION__ );
}

int put_my_msg( char *messg ) {
   mark_time(); 
   printf( "%s\n", messg );
   return -1;
}
